summarylogtreecommitdiffstats
path: root/weave-minimal.install
diff options
context:
space:
mode:
Diffstat (limited to 'weave-minimal.install')
-rw-r--r--weave-minimal.install37
1 files changed, 37 insertions, 0 deletions
diff --git a/weave-minimal.install b/weave-minimal.install
new file mode 100644
index 000000000000..480390b07b1f
--- /dev/null
+++ b/weave-minimal.install
@@ -0,0 +1,37 @@
+## arg 1: the new package version
+#pre_install() {
+# do something here
+#}
+
+## arg 1: the new package version
+post_install() {
+ id -u weave >/dev/null 2>&1
+ if [ $? -eq 1 ]; then
+ echo Adding weave user/group.
+ groupadd weave
+ useradd -m -d /var/lib/weave/ -g weave -s /usr/bin/nologin
+ fi
+}
+
+## arg 1: the new package version
+## arg 2: the old package version
+#pre_upgrade() {
+# do something here
+#}
+
+## arg 1: the new package version
+## arg 2: the old package version
+#post_upgrade() {
+# do something here
+#}
+
+## arg 1: the old package version
+#pre_remove() {
+# do something here
+#}
+
+## arg 1: the old package version
+#post_remove() {
+# do something here
+#}
+